function onInit()
	if User.isLocal() then
		speak.setVisible(false);
		portrait.setVisible(false);
		localportrait.setVisible(true);
	end
	registerMenuItem(Interface.getString("char_menu_pruefen"), "lockvisibilityon", 8);
end

function onMenuSelection(selection)
	if selection == 8 then
		charpruefung();
	end
end

function charpruefung()
	local charokay = true;
	local attributeMinWertEinegehalten = true;
	local fertigkeitenMinWertEinegehalten = true;
	local attributeMaxWertEinegehalten = true;
	local fertigkeitenMaxWertEinegehalten = true;
	local hauptknoten = self.getDatabaseNode();
	local charnameueberprueft;
	if hauptknoten.getChild("name") then
		charnameueberprueft = hauptknoten.getChild("name").getValue();
		if charnameueberprueft == "" then
			charnameueberprueft = "Noch nicht benannter Charakter.";
		end
	else
		charnameueberprueft = "Noch nicht benannter Charakter.";
	end
	local attributsknoten = hauptknoten.getChild("attribute");
	local attributspunkteVerwendet = 0;
	for v,k in pairs(attributsknoten.getChildren()) do
		local attributswertknoten = k.getChild("wert");
		local attributswert = attributswertknoten.getValue();
		if attributswert >= DataCommon.grenzwertAttributHoehereGenerierungskosten then
			attributspunkteVerwendet = attributspunkteVerwendet + DataCommon.grenzwertAttributHoehereGenerierungskosten - 1 + (1 + attributswert - DataCommon.grenzwertAttributHoehereGenerierungskosten) * DataCommon.faktorDerVertaeuerung;
		else
			attributspunkteVerwendet = attributspunkteVerwendet + attributswert;
		end
		if attributswert < DataCommon.minAttributsPunkte then
			attributeMinWertEinegehalten = false;
			charokay = false;
		elseif attributswert > DataCommon.maxAttributsPunkte then
			attributeMaxWertEinegehalten = false;
			charokay = false;
		end
	end
	local attributspunkteUebrig = DataCommon.anzahlattributspunkte - attributspunkteVerwendet;
	if attributspunkteUebrig < 0 then
		charokay = false;
	end
	local fertigkeitsknoten = hauptknoten.getChild("fertigkeiten");
	local fertigkeitspunkteVerwendet = 0;
	for v,k in pairs(fertigkeitsknoten.getChild("aktionsfertigkeiten").getChildren()) do
		local fertigkeitswertknoten = k.getChild("wert");
		local fertigkeitswert = fertigkeitswertknoten.getValue();
		fertigkeitspunkteVerwendet = fertigkeitspunkteVerwendet + fertigkeitswert;
		if fertigkeitswert < DataCommon.minFertigkeitsPunkte then
			fertigkeitenMinWertEinegehalten = false;
			charokay = false;
		elseif fertigkeitswert > DataCommon.maxFertigkeitsPunkte then
			fertigkeitenMaxWertEinegehalten = false;
			charokay = false;
		end
	end
	for v,k in pairs(fertigkeitsknoten.getChild("wissensfertigkeiten").getChildren()) do
		local fertigkeitswertknoten = k.getChild("wert");
		local fertigkeitswert = fertigkeitswertknoten.getValue();
		fertigkeitspunkteVerwendet = fertigkeitspunkteVerwendet + fertigkeitswert;
		if fertigkeitswert < DataCommon.minFertigkeitsPunkte then
			fertigkeitenMinWertEinegehalten = false;
			charokay = false;
		elseif fertigkeitswert > DataCommon.maxFertigkeitsPunkte then
			fertigkeitenMaxWertEinegehalten = false;
			charokay = false;
		end
	end
	for v,k in pairs(fertigkeitsknoten.getChild("waffenfertigkeiten").getChildren()) do
		local fertigkeitswertknoten = k.getChild("wert");
		local fertigkeitswert = fertigkeitswertknoten.getValue();
		fertigkeitspunkteVerwendet = fertigkeitspunkteVerwendet + fertigkeitswert;
		if fertigkeitswert < DataCommon.minFertigkeitsPunkte then
			fertigkeitenMinWertEinegehalten = false;
			charokay = false;
		elseif fertigkeitswert > DataCommon.maxFertigkeitsPunkte then
			fertigkeitenMaxWertEinegehalten = false;
			charokay = false;
		end
	end
	local fertigkeitspunkteUebrig = DataCommon.anzahlfertigkeitsspunkte - fertigkeitspunkteVerwendet;
	if fertigkeitspunkteUebrig < 0 then
		charokay = false;
	end
	
	local nachricht = {icon="portrait_ruleset_token", text="\252berpr\252fter Charakter:\r" .. charnameueberprueft .. "\r\r"};
	if charokay == true then
		nachricht.font = "charokay";
		nachricht.text = nachricht.text .. "Dieser Charakter ist g\252ltig. "
		if attributspunkteUebrig > 0 or fertigkeitspunkteUebrig > 0 then
			nachricht.text = nachricht.text .. "Folgenden Punkte k\246nnen noch verteilt werden:";
			if attributspunkteUebrig > 0 then
				nachricht.text = nachricht.text .. "\r- auf Attribute: " .. attributspunkteUebrig;
			end
			if fertigkeitspunkteUebrig > 0 then
				nachricht.text = nachricht.text .. "\r- auf Fertigkeiten: " .. fertigkeitspunkteUebrig;
			end
		end
	else
		nachricht.font = "charnichtokay";
		nachricht.text = nachricht.text .. "Dieser Charakter ist UNG\220LTIG. Folgende Hilfestellung kann gegeben werden:\r"
		if attributeMinWertEinegehalten == false or attributeMaxWertEinegehalten == false or attributspunkteUebrig < 0 or attributspunkteUebrig > 0 then
			nachricht.text = nachricht.text .. "\rBei den Attributen: \r";
			if attributeMinWertEinegehalten == false then
				nachricht.text = nachricht.text .. "- wurde nicht bei allen Attributen der Mindestwert von " .. DataCommon.minAttributsPunkte .. " eingehalten.\r"
			end
			if attributeMaxWertEinegehalten == false then
				nachricht.text = nachricht.text .. "- wurde nicht bei allen Attributen der Maximalwert von " .. DataCommon.maxAttributsPunkte .. " eingehalten.\r"
			end
			if attributspunkteUebrig < 0 then
				if attributspunkteUebrig == -1 then
					nachricht.text = nachricht.text .. "- wurde ".. attributspunkteUebrig*(-1) .. " Punkt ZU VIEL verteilt.\r";
				else
					nachricht.text = nachricht.text .. "- wurden ".. attributspunkteUebrig*(-1) .. " Punkte ZU VIEL verteilt.\r";
				end
			else
				if attributspunkteUebrig > 0 then
					if attributspunkteUebrig == 1 then
						nachricht.text = nachricht.text .. "- kann noch " .. attributspunkteUebrig .. " Punkt verteilt werden.\r";
					else
						nachricht.text = nachricht.text .. "- k\246nnen noch " .. attributspunkteUebrig .. " Punkte verteilt werden.\r";
					end
				end
			end
		end
		if fertigkeitenMinWertEinegehalten == false or fertigkeitenMaxWertEinegehalten == false or fertigkeitspunkteUebrig < 0 or fertigkeitspunkteUebrig > 0 then
			nachricht.text = nachricht.text .. "\rBei den Fertigkeiten: \r";
			if fertigkeitenMinWertEinegehalten == false then
				nachricht.text = nachricht.text .. "- wurde nicht bei allen Fertigkeiten der Mindestwert von " .. DataCommon.minFertigkeitsPunkte .. " eingehalten.\r"
			end
			if fertigkeitenMaxWertEinegehalten == false then
				nachricht.text = nachricht.text .. "- wurde nicht bei allen Fertigkeiten der Maximalwert von " .. DataCommon.maxFertigkeitsPunkte .. " eingehalten.\r"
			end
			if fertigkeitspunkteUebrig < 0 then
				if fertigkeitspunkteUebrig == -1 then
					nachricht.text = nachricht.text .. "- wurde ".. fertigkeitspunkteUebrig*(-1) .. " Punkt ZU VIEL verteilt.";
				else
					nachricht.text = nachricht.text .. "- wurden ".. fertigkeitspunkteUebrig*(-1) .. " Punkte ZU VIEL verteilt.";
				end
			else
				if fertigkeitspunkteUebrig > 0 then
					if fertigkeitspunkteUebrig == 1 then
						nachricht.text = nachricht.text .. "- kann noch " .. fertigkeitspunkteUebrig .. " Punkt verteilt werden.";
					else
						nachricht.text = nachricht.text .. "- k\246nnen noch " .. fertigkeitspunkteUebrig .. " Punkte verteilt werden.";
					end
				end
			end
		end
	end
	Comm.deliverChatMessage(nachricht);
end