-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

local sFocus = "label";

function onInit()
	if newfocus then
		sFocus = newfocus[1];
	end
	
	if getName() == "waffenliste" then
		local knoten = getDatabaseNode();
		for v,k in pairs(knoten.getChildren()) do
			local inventarlink = k.getChild("inventarlink");
			if inventarlink then
				local inventarknoten = DB.findNode(inventarlink.getValue());
				if inventarknoten then
					inventarknoten.onDelete = onInventarLoeschung;
				end
			end
		end
		registerMenuItem(Interface.getString("list_menu_createitem"), "insert", 5);
	end
end

function onListChanged()
	update();
end

function update()
	local sEdit = getName() .. "_iedit";
	if window[sEdit] then
		local bEdit = (window[sEdit].getValue() == 1);
		if window.idelete_header then
			window.idelete_header.setVisible(bEdit);
		end
		for _,w in ipairs(getWindows()) do
			w.idelete.setVisible(bEdit);
		end
	end
end

function onClickDown(button, x, y)
	if not isReadOnly() then
		return true;
	end
end

function onClickRelease(button, x, y)
	if not isReadOnly() then
		if getWindowCount() == 0 then
			addEntry(true, false);--[[Lule: 1. Eintrag = focus des Eintrags, 2. Eintrag = onDrop]]
		end
		return true;
	end
end

function addEntry(bFocus, bOnDrop)
	local w = createWindow();
	if bFocus then
		w[sFocus].setFocus();
	end
	if w.getClass() == "char_listeWaffen_aenderbar_default0" then
		if not bOnDrop then
			if w.label then
				w.label.setValue(Interface.getString("char_waffen_ohennamen"));
			end
		end
	end
	
	return w;
end

function onDrop(x, y, draginfo)
	if draginfo.isType("shortcut") then
		local sClass,sRecord = draginfo.getShortcutData();
		if sClass == "item" then
			local inventarknoten = DB.findNode(sRecord);
			local eigenerknoten = getDatabaseNode();
			if inventarknoten and eigenerknoten then
				if inventarknoten.getParent().getParent() == eigenerknoten.getParent() then
					local neueWaffe = addEntry(true, true);--[[Lule: 1. Eintrag = focus des Eintrags, 2. Eintrag = onDrop]]
					local neuerWaffenKnoten = neueWaffe.getDatabaseNode();
					if neuerWaffenKnoten then
						local inventarlink = neuerWaffenKnoten.createChild("inventarlink", "string");
						inventarlink.setValue(inventarknoten.getNodeName());
						inventarknoten.onDelete = onInventarLoeschung;
						
						local wertknoten = neuerWaffenKnoten.getChild("wert");
						local nameknoten = neuerWaffenKnoten.getChild("name");
						if nameknoten then
							if inventarknoten.getChild("name") then
								nameknoten.setValue(inventarknoten.getChild("name").getValue());
							end
						end
						if wertknoten then
							if inventarknoten.getChild("waffenwert") then
								wertknoten.setValue(inventarknoten.getChild("waffenwert").getValue());
							else
								wertknoten.setValue(0);
							end
						end
						
						--[[Lule: Nachinitialisierung nachdem die Links gesetzt sind, damit Änderungen auch übernommen werden.]]
						if neueWaffe.label then
							neueWaffe.label.onInit();
						end
						if neueWaffe.wert then
							neueWaffe.wert.onInit();
						end
						
						return true;
					end
				end
			end
		end
	end
	return false;
end

function onInventarLoeschung(inventarknoten)
	local knoten = self.getDatabaseNode();
	for v,k in pairs(knoten.getChildren()) do
		local inventarlink = k.getChild("inventarlink");
		if inventarlink then
			local pruefknoten = DB.findNode(inventarlink.getValue());
			if inventarknoten == pruefknoten then
				k.delete();
			end
		end
	end
end

function onMenuSelection(selection)
	if selection == 5 then
		addEntry(true, false);--[[Lule: 1. Eintrag = focus des Eintrags, 2. Eintrag = onDrop]]
	end
end