-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

-- Werte, zum überprüfen des Chars nach der Erstellung.
anzahlattributspunkte = 35;
anzahlfertigkeitsspunkte = 120 + 48; --Lule: Inklusive des einen Mindestpunkts pro Fertigkeit!
minFertigkeitsPunkte = 1;
maxFertigkeitsPunkte = 8;
minAttributsPunkte = 2;
maxAttributsPunkte = 10;
grenzwertAttributHoehereGenerierungskosten = 10;
faktorDerVertaeuerung = 2;


-- Werte, die nicht mit einem W10 sondern mit einem W100 geworfen werden sollen.
--[[Hier gibt es folgende Formatvorgaben:
	1. In jeder Zeile steht ein neuer Wert.
	2. Jede Zeile bis auf die letzte wird von einem Komma abgeschlossen.
	3. Handelt es sich um einen Wert aus einer Liste, so muss nur dessen Namen (Großschreibung beachten) in 
		Anführungszeichen geschrieben werden. Bsp.: Der Wert Kopfweh soll mit einem W100 gewürfelt werden, so
		sieht die Zeile wie folgt aus:
		"Kopfweh",
	4. Handelt es sich um einen Wert, der per Knopf/button gewürfelt wird, so ist der Name des Kopfs/button in
		eckige Klammern und Anfrührungszeichen zu setzten. Danach folg ein Gleichheitszeichen, eine geschweifte 
		Klammer auf, der Variablenname chatanzeige, wieder ein Gleichheitszeichen und in Anführungszeichen der
		Name, welcher im Chat ausgegeben werden soll. Bsp.: Der Glückswurf erfolgt per Knopf/button, welcher den 
		Namen glueck trägt:		
		["glueck"] = { chatanzeige = "Gl\252ck"},
]]
w100werte = {
	["glueck"] = { chatanzeige = "Gl\252ck"},
	["resistenz"] = { chatanzeige = "Restistenz"}
};

-- Attribute (database names)
attribute = {
	["erscheinung"] = { name = "Erscheinung"},
	["geschicklichkeit"] = { name = "Geschicklichkeit"},
	["staerke"] = { name = "St\228rke"},
	["entschlossenheit"] = { name = "Entschlossenheit"},
	["intelligenz"] = { name = "Intelligenz"},
	["wahrnehmung"] = { name = "Wahrnehmung"}
};

attribute_ltos = {
	["erscheinung"] = "ERS",
	["geschicklichkeit"] = "GSK",
	["staerke"] = "STR",
	["entschlossenheit"] = "ENT",
	["intelligenz"] = "INT",
	["wahrnehmung"] = "WAH"
};

attribute_stol = {
	["ERS"] = "erscheinung",
	["GSK"] = "geschicklichkeit",
	["STR"] = "staerke",
	["ENT"] = "entschlossenheit",
	["INT"] = "intelligenz",
	["WAH"] = "wahrnehmung"
};

--[[Zusatzwerte (database names)
--Lule: leerwert = Startwert des Feldes, wenn ein neuer Char erstellt wird.]]
zusatz = {
	--[[["glueck"] = {
		name = "Gl\252ck",
		leerwert = 0,
	},
	["resistenzen"] = { 
		name = "Resistenzen",
		leerwert = 0,
	},]]
	["lebenskraft"] = { 
		name = "Lebenskraft",
		leerwert = 20,
		maxwert = "true",
	},
	["psikraft"] = { 
		name = "Psi-Kraft",
		leerwert = 10,
		maxwert = "true",
	},
	["schiksalspunkte"] = { 
		name = "Schiksalspunkte",
		leerwert = 0,
		maxwert = "false",
	}
};

--[[ Fertigkeiten (database names)]]
fertigkeiten = {
	["waffenfertigkeiten"] = { 
		["fahrzeugwaffen"] = { name = "Fahrzeugwaffen"},
		["faustkampf"] = { name = "Faustkampf"},
		["nahkampfwaffen"] = { name = "Nahkampfwaffen"},
		["schusswaffen"] = { name = "Schusswaffen"},
		["werfen"] = { name = "Werfen"}
	},
	["aktionsfertigkeiten"] = { 
		["athletik"] = { name = "Athletik"},
		["coolness"] = { name = "Coolness"},
		["entdecken"] = {name = "Entdecken"},
		["flirten"] = { name = "Flirten"},
		["handel"] = { name = "Handel"},
		["heimlichkeit"] = { name = "Heimlichkeit"},
		["klettern"] = { name = "Klettern/Turnen"},
		["malen"] = { name = "Malen/Zeichnen"},
		["pilotFahrzeuge"] = { name = "Pilot Fahrzeuge"},
		["pilotMech"] = { name = "Pilot Mech"},
		["pilotRaumjaeger"] = { name = "Pilot Raumj\228ger"},
		["pilotRaumschiff"] = { name = "Pilot Raumschiff"},
		["reaktion"] = { name = "Reaktion"},
		["reden"] = { name = "Reden/\220berreden"},
		["singen"] = { name = "Singen"},
		["sprengen"] = { name = "Sprengen"},
		["suchen"] = { name = "Suchen"},
		["tanzen"] = { name = "Tanzen"},
		["verstecken"] = { name = "Verstecken"}
	},
	["wissensfertigkeiten"] = { 
		["agrawissenschaft"] = { name = "Agrawissenschaft"},
		["allgemeinwissen"] = { name = "Allgemeinwissen"},
		["architektur"] = { name = "Architektur"},
		["aufzucht"] = { name = "Aufzucht"},
		["biologie"] = { name = "Biologie"},
		["buchführung"] = { name = "Buchf\252hrung"},
		["chemie"] = { name = "Chemie"},
		["computer"] = { name = "Computer/Hacken"},
		["diagnose"] = { name = "Diagnose"},
		["elektronik"] = { name = "Elektronik"},
		["forschung"] = { name = "Forschung"},
		["genetik"] = { name = "Genetik"},
		["geographie"] = { name = "Geographie"},
		["heilkunst"] = {name = "Heilkunst/Medizin"},
		["holzbau"] = { name = "Holzbau"},
		["mechanik"] = { name = "Mechanik"},
		["metallbau"] = { name = "Metallbau"},
		["naturkunde"] = { name = "Naturkunde"},
		["navigation"] = { name = "Navigation"},
		["physik"] = { name = "Physik"},
		["robitik"] = { name = "Robitik"},
		["schaetzen"] = { name = "Sch\228tzen"},
		["steinbau"] = { name = "Steinbau"},
		["unterrichten"] = { name = "Unterrichten"}
	}
};

--[[ Daten für Trefferzonenwürfel]]
trefferzone = {
	["1"] = { 
		name = "linkes Bein",
		von = 1,
		bis = 3,
	},
	["2"] = { 
		name = "rechtes Bein",
		von = 4,
		bis = 6,
	},
	["3"] = { 
		name = "Becken",
		von = 7,
		bis = 9,
	},
	["4"] = { 
		name = "Brust/R\252cken",
		von = 10,
		bis = 12,
	},
	["5"] = { 
		name = "linker Arm",
		von = 13,
		bis = 15,
	},
	["6"] = { 
		name = "rechter Arm",
		von = 16,
		bis = 18,
	},
	["7"] = { 
		name = "Kopf",
		von = 19,
		bis = 20,
	}
};

-- Skills supported in power descriptions
--[[skills = {
	"acrobatics",
	"arcana",
	"athletics",
	"bluff",
	"diplomacy",
	"dungeoneering",
	"endurance",
	"heal",
	"history",
	"insight",
	"intimidate",
	"nature",
	"perception",
	"religion",
	"stealth",
	"streetwise",
	"thievery"
};

-- Skill properties
skilldata = {
	["Acrobatics"] = {
			stat = "dexterity",
			armorcheckmultiplier = 1
		},
	["Arcana"] = {
			stat = "intelligence"
		},
	["Athletics"] = {
			stat = "strength",
			armorcheckmultiplier = 1
		},
	["Bluff"] = {
			stat = "charisma"
		},
	["Diplomacy"] = {
			stat = "charisma"
		},
	["Dungeoneering"] = {
			stat = "wisdom"
		},
	["Endurance"] = {
			stat = "constitution",
			armorcheckmultiplier = 1
		},
	["Heal"] = {
			stat = "wisdom"
		},
	["History"] = {
			stat = "intelligence"
		},
	["Insight"] = {
			stat = "wisdom"
		},
	["Intimidate"] = {
			stat = "charisma"
		},
	["Nature"] = {
			stat = "wisdom"
		},
	["Perception"] = {
			stat = "wisdom"
		},
	["Religion"] = {
			stat = "intelligence"
		},
	["Stealth"] = {
			stat = "dexterity",
			armorcheckmultiplier = 1
		},
	["Streetwise"] = {
			stat = "charisma"
		},
	["Thievery"] = {
			stat = "dexterity",
			armorcheckmultiplier = 1
		}
};]]

-- Coin labels
--cointypes = { "PP", "GP", "SP", "CP", "AD", "RESIDUUM" };

-- Party sheet drop down list data
--[[psabilitydata = {
	"Strength",
	"Constitution",
	"Dexterity",
	"Intelligence",
	"Wisdom",
	"Charisma"
};

psskilldata = {
	"Perception", 
	"Insight", 
	"Arcana", 
	"Dungeoneering", 
	"History", 
	"Nature", 
	"Religion", 
	"Bluff", 
	"Diplomacy", 
	"Intimidate", 
	"Streetwise", 
	"Acrobatics", 
	"Athletics",
	"Endurance", 
	"Heal", 
	"Stealth", 
	"Thievery"
};]]