function onInit()
	if User.isHost() or User.isLocal() then 
		local charknoten = DB.findNode("charsheet");
		if charknoten then
			charknoten.onChildAdded = neuerChar;
		else
			charknoten = DB.createNode("charsheet");
			charknoten.onChildAdded = neuerChar;
		end
	end
end

function neuerChar(quellknoten, neuerChar)
	if neuerChar then
		local attributsknoten = neuerChar.getChild("attribute");
		if attributsknoten then
			attributeanlegen(attributsknoten);
		else
			attributsknoten = neuerChar.createChild("attribute");
			attributeanlegen(attributsknoten);
		end
		local zusatzknoten = neuerChar.getChild("zusatz");
		if zusatzknoten then
			zusaetzeanlegen(zusatzknoten);
		else
			zusatzknoten = neuerChar.createChild("zusatz");
			zusaetzeanlegen(zusatzknoten);
		end
		local fertigkeitsknoten = neuerChar.getChild("fertigkeiten");
		if fertigkeitsknoten then
			fertigkeitenanlegen(fertigkeitsknoten);
		else
			fertigkeitsknoten = neuerChar.createChild("fertigkeiten");
			fertigkeitenanlegen(fertigkeitsknoten);
		end
	end
end

function attributeanlegen(attributsknoten)
	if attributsknoten.getChildCount() == 0 then
		for v,k in pairs(DataCommon.attribute) do
			local neuerKnoten = attributsknoten.createChild();
			if neuerKnoten then
				local namenknoten = neuerKnoten.createChild("name", "string");
				if namenknoten then
					namenknoten.setValue(k.name);
				end
				local wertknoten = neuerKnoten.createChild("wert", "number");
				if wertknoten then
					wertknoten.setValue(DataCommon.minAttributsPunkte);
				end
			end
		end
	end
end

function zusaetzeanlegen(zusatzknoten)
	if zusatzknoten.getChildCount() == 0 then
		for v,k in pairs(DataCommon.zusatz) do
			local neuerKnoten = zusatzknoten.createChild();
			if neuerKnoten then
				local namenknoten = neuerKnoten.createChild("name", "string");
				if namenknoten then
					namenknoten.setValue(k.name);
				end
				if k.maxwert then
					if k.maxwert == "true" then
						local aktuellerwertknoten = neuerKnoten.createChild("aktuell", "number");
						aktuellerwertknoten.setValue(k.leerwert);
						local wertknoten = neuerKnoten.createChild("wert", "number");
						wertknoten.setValue(k.leerwert);
						local aktanzeigenknoten = neuerKnoten.createChild("aktuellanzeigen", "string");
						aktanzeigenknoten.setValue(k.maxwert);
					else
						local wertknoten = neuerKnoten.createChild("wert", "number");
						wertknoten.setValue(k.leerwert);
						local aktanzeigenknoten = neuerKnoten.createChild("aktuellanzeigen", "string");
						aktanzeigenknoten.setValue(k.maxwert);
					end
				else
					if k.leerwert then
						local wertknoten = neuerKnoten.createChild("wert", "number");
						wertknoten.setValue(k.leerwert);
						local aktanzeigenknoten = neuerKnoten.createChild("aktuellanzeigen", "string");
						aktanzeigenknoten.setValue("false");
					end
				end
			end
		end
	end
end

function fertigkeitenanlegen(fertigkeitsknoten)
	if fertigkeitsknoten.getChildCount() == 0 then
		for v,k in pairs(DataCommon.fertigkeiten.aktionsfertigkeiten) do
			local aktionsfertigkeitenKnoten = fertigkeitsknoten.createChild("aktionsfertigkeiten");
			local neuerKnoten = aktionsfertigkeitenKnoten.createChild();
			if neuerKnoten then
				local namenknoten = neuerKnoten.createChild("name", "string");
				if namenknoten then
					namenknoten.setValue(k.name);
				end
				local wertknoten = neuerKnoten.createChild("wert", "number");
				if wertknoten then
					wertknoten.setValue(DataCommon.minFertigkeitsPunkte);
				end
			end
		end
		for v,k in pairs(DataCommon.fertigkeiten.wissensfertigkeiten) do
			local wissensfertigkeitenKnoten = fertigkeitsknoten.createChild("wissensfertigkeiten");
			local neuerKnoten = wissensfertigkeitenKnoten.createChild();
			if neuerKnoten then
				local namenknoten = neuerKnoten.createChild("name", "string");
				if namenknoten then
					namenknoten.setValue(k.name);
				end
				local wertknoten = neuerKnoten.createChild("wert", "number");
				if wertknoten then
					wertknoten.setValue(DataCommon.minFertigkeitsPunkte);
				end
			end
		end
		for v,k in pairs(DataCommon.fertigkeiten.waffenfertigkeiten) do
			local waffenfertigkeitenKnoten = fertigkeitsknoten.createChild("waffenfertigkeiten");
			local neuerKnoten = waffenfertigkeitenKnoten.createChild();
			if neuerKnoten then
				local namenknoten = neuerKnoten.createChild("name", "string");
				if namenknoten then
					namenknoten.setValue(k.name);
				end
				local wertknoten = neuerKnoten.createChild("wert", "number");
				if wertknoten then
					wertknoten.setValue(DataCommon.minFertigkeitsPunkte);
				end
			end
		end
	end
end